package org.rcisoft.bus.storegoods.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.bus.storegoods.entity.StoreGoods;
import org.rcisoft.bus.storegoodsapply.entity.StoreGoodsApply;
import org.rcisoft.bus.wmsgoodsapply.entity.WmsGoodsApply;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.ossInfo.entity.OssInfo;

import java.util.List;
import java.util.Map;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/

public interface StoreGoodsRepository extends CyBaseMapper<StoreGoods> {


    List<StoreGoods> queryWmsGoods(@Param("entity") StoreGoods storeGoods);

    /**
     * 分页查询 wmsGoods
     */
    IPage<StoreGoods> queryWmsGoodssPaged(CyPageInfo cyPageInfo, @Param("entity") StoreGoods storeGoods);

    List<StoreGoods> queryWmsGoodsByAppId(@Param("entity") StoreGoodsApply wmsGoodsLog);

    List<StoreGoods> queryWmsGoodsByAppIdOut(@Param("entity") StoreGoodsApply wmsGoodsLog);

    List<StoreGoods> findByIdGoods(@Param("entity") StoreGoods storeGoods);

    int insertOss(@Param("entity") List<Map<String, String>>  wmsGoods);

    List<OssInfo> findOss(@Param("entity") StoreGoods storeGoods);

    int delOssById(@Param("entity") StoreGoods storeGoods);
}

