package org.rcisoft.bus.storegoodsstock.dto;

import lombok.Data;
import org.rcisoft.bus.storegoodsstock.entity.StoreGoodsStock;

/**
 * @Author: gy
 * @Date: 2024/5/29 23:00
 * @Description:
 */
@Data
public class StoreGoodsStockPageResultsDto extends StoreGoodsStock {

    /**
     * @desc 商品名称
     * @column goods_name
     * @default
     */
    private String goodsName;
    private String goodsDictName;

    /**
     * @desc 商品编码
     * @column goods_code
     * @default
     */
    private String goodsCode;


    /**
     * @desc 商品类型
     * @column goods_style
     * @default
     */
    private String goodsStyle;

    /**
     * @desc 商品货号
     * @column goods_article_number
     * @default
     */
    private String goodsArtNumber;

    /**
     * @desc 季节
     * @column goods_season
     * @default
     */
    private String goodsSeason;

    /**
     * @desc 商品颜色
     * @column goods_colour
     * @default
     */
    private String goodsColour;

    /**
     * @desc 商品规格
     * @column goods_norms
     * @default
     */
    private String goodsNorms;

    /**
     * @desc 商品尺码
     * @column goods_size
     * @default
     */
    private String goodsSize;

    /**
     * @desc 品牌
     * @column goods_brand
     * @default
     */
    private String goodsBrand;
}
