package org.rcisoft.bus.wmsgoods.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.bus.wmsgoods.entity.WmsGoods;
import org.rcisoft.bus.wmsgoodsapply.entity.WmsGoodsApply;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.sys.ossInfo.entity.OssInfo;

import java.util.List;
import java.util.Map;

/**
* Created with cy on 2024年5月29日 下午1:21:49.
*/

public interface WmsGoodsRepository extends CyBaseMapper<WmsGoods> {


    List<WmsGoods> queryWmsGoods(@Param("entity") WmsGoods wmsGoods);

    /**
     * 分页查询 wmsGoods
     */
    IPage<WmsGoods> queryWmsGoodssPaged(CyPageInfo cyPageInfo, @Param("entity") WmsGoods wmsGoods);

    List<WmsGoods> queryWmsGoodsByAppId(@Param("entity") WmsGoodsApply wmsGoodsLog);

    List<WmsGoods> queryWmsGoodsByAppIdOut(@Param("entity") WmsGoodsApply wmsGoodsLog);

    List<WmsGoods> findByIdGoods(@Param("entity") WmsGoods wmsGoods);

    int insertOss(@Param("entity") List<Map<String, String>>  wmsGoods);

    List<OssInfo> findOss(@Param("entity") WmsGoods wmsGoods);

    int delOssById(@Param("entity") WmsGoods wmsGoods);
}

